> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a personal environment variable

> Permanently delete a personal environment variable. Sessions started afterwards no longer receive it.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public delete /v1/users/{userId}/environment-variables/{environmentVariableId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/users/{userId}/environment-variables/{environmentVariableId}:
    delete:
      tags:
        - Users
      summary: Delete a personal environment variable
      description: >-
        Permanently delete a personal environment variable. Sessions started
        afterwards no longer receive it.
      operationId: deleteUserEnvironmentVariable
      parameters:
        - in: path
          name: userId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
        - in: path
          name: environmentVariableId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Delete a personal environment variable
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: boolean
                    const: true
                  id:
                    type: string
                    format: uuid
                required:
                  - deleted
                  - id
                additionalProperties: false
        '400':
          description: >-
            Invalid request or missing required organization or user
            information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: User or connected account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: User operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const environmentVariable = await
            client.users.environmentVariables.delete(
              '7c9e6679-7425-40de-944b-e07fc1f90ae7',
              {
                userId: 'userId',
              },
            );
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .users()
                .environment_variables()
                .delete("example", "7c9e6679-7425-40de-944b-e07fc1f90ae7")
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.